﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace WpfApplication14.ViewModel
{
  public  class Person:INotifyPropertyChanged
    {
      string name = string.Empty;
      public string Name
      {
          get { return name; }
          set { name = value;
          NotifyPropertyChanged("Name");
          }
      }

      int age = 0;
      public int Age
      {
          get { return age; }
          set {
              if (value < 18)
              {
                  throw new Exception(" too young ");
              }
              age = value;
              NotifyPropertyChanged("Age");
          }
      }

      public event PropertyChangedEventHandler PropertyChanged;

      private void NotifyPropertyChanged(String info)
      {
          if (PropertyChanged != null)
          {
              PropertyChanged(this, new PropertyChangedEventArgs(info));
          }
      }

    }
}
